=== debian/control ===
Source: ros-jazzy-pick-ik
Section: misc
Priority: optional
Maintainer: Tyler Weaver <maybe@tylerjw.dev>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, librange-v3-dev, ros-jazzy-ament-cmake-ros, ros-jazzy-generate-parameter-library, ros-jazzy-moveit-core, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rsl, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tl-expected, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-pick-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, librange-v3-dev, ros-jazzy-generate-parameter-library, ros-jazzy-moveit-core, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rsl, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-tl-expected, ros-jazzy-ros-workspace
Description: Inverse Kinematics solver for MoveIt
